Package org.apache.ignite.internal.processors.cache.distributed.near.consistency

## Class IgniteAtomicConsistencyViolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.distributed.near.consistency.IgniteConsistencyViolationException
        - - org.apache.ignite.internal.processors.cache.distributed.near.consistency.IgniteAtomicConsistencyViolationException

All Implemented Interfaces:
  `Serializable`

    public class IgniteAtomicConsistencyViolationException
    extends IgniteConsistencyViolationException

Atomic consistency violation exception. Has additional fields like 'primary map' and 'on entry repaired callback', because it's impossible to perform repair on locked data (atomics can not be locked), so additional data should be provided to external CAS operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IgniteAtomicConsistencyViolationException​(Map<KeyCacheObject,​EntryGetResult> correctedMap, Map<KeyCacheObject,​EntryGetResult> primaryMap, Consumer<Map<KeyCacheObject,​EntryGetResult>> callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<KeyCacheObject,​EntryGetResult>` `correctedMap()`
`Set<KeyCacheObject>` `keys()` Inconsistent entries keys.
`void` `onRepaired​(KeyCacheObject key)`
`Map<KeyCacheObject,​EntryGetResult>` `primaryMap()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteAtomicConsistencyViolationException

    public IgniteAtomicConsistencyViolationException​(Map<KeyCacheObject,​EntryGetResult> correctedMap,
                                                     Map<KeyCacheObject,​EntryGetResult> primaryMap,
                                                     Consumer<Map<KeyCacheObject,​EntryGetResult>> callback)

Parameters:
  `correctedMap` - Corrected map.
  `primaryMap` - Primary map.
  `callback` - Repaired callback.

### Method Detail

#### correctedMap

    public Map<KeyCacheObject,​EntryGetResult> correctedMap()

#### primaryMap

    public Map<KeyCacheObject,​EntryGetResult> primaryMap()

#### onRepaired

    public void onRepaired​(KeyCacheObject key)

#### keys

    public Set<KeyCacheObject> keys()

Inconsistent entries keys.

Specified by:
  `keys` in class `IgniteConsistencyViolationException`